Skip to main content
POST
Terminate a subscription

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

subscription_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Body

Subscription terminate input serializer.

termination_date
string<date> | null

The date when the subscription should be terminated. If not provided, the subscription will be terminated immediately.

termination_notes
string | null

Optional notes or reason for terminating the subscription. This information may be used for record-keeping and analysis.

notification_emails
string<email>[]

List of email addresses that should receive notifications about the subscription termination. If not provided, no additional notifications will be sent beyond the standard termination process.

termination_reason
enum<string> | null

Optional reason code for the termination. Current codes: POOR_PRODUCT_MARKET_FIT, INSUFFICIENT_VALUE, POOR_ONBOARDING, LOW_UTILIZATION, POOR_SUPPORT, PRICING_AND_CONTRACT, PRODUCT_RELIABILITY, COMPETITIVE_DISPLACEMENT, ORGANIZATIONAL_CHANGES, LACK_OF_INNOVATION, WENT_BANKRUPT, LOST_CHAMPION, OTHER. Omit it, or send null, to terminate without a reason; re-terminating without one keeps the reason already stored.

  • POOR_PRODUCT_MARKET_FIT - Poor Product-Market Fit
  • INSUFFICIENT_VALUE - Insufficient Perceived Value / ROI
  • POOR_ONBOARDING - Poor Onboarding Experience
  • LOW_UTILIZATION - Low Utilization
  • POOR_SUPPORT - Poor Customer Support and Service
  • PRICING_AND_CONTRACT - Pricing and Contract Issues
  • PRODUCT_RELIABILITY - Product Reliability, Performance, or Security Problems
  • COMPETITIVE_DISPLACEMENT - Competitive Displacement
  • ORGANIZATIONAL_CHANGES - Customer Business or Organizational Changes
  • LACK_OF_INNOVATION - Lack of Product Innovation and Evolution
  • WENT_BANKRUPT - Went Bankrupt
  • LOST_CHAMPION - Lost Champion
  • OTHER - Other
Available options:
POOR_PRODUCT_MARKET_FIT,
INSUFFICIENT_VALUE,
POOR_ONBOARDING,
LOW_UTILIZATION,
POOR_SUPPORT,
PRICING_AND_CONTRACT,
PRODUCT_RELIABILITY,
COMPETITIVE_DISPLACEMENT,
ORGANIZATIONAL_CHANGES,
LACK_OF_INNOVATION,
WENT_BANKRUPT,
LOST_CHAMPION,
OTHER

Response

Subscription terminate output serializer.

subscription_id
string<uuid>
required

ID of the subscription

termination_date
string<date> | null

The date when the subscription should be terminated. If not provided, the subscription will be terminated immediately.

termination_notes
string | null

Optional notes or reason for terminating the subscription. This information may be used for record-keeping and analysis.

notification_emails
string<email>[]

List of email addresses that should receive notifications about the subscription termination. If not provided, no additional notifications will be sent beyond the standard termination process.

termination_reason
enum<string> | null

Optional reason code for the termination. Current codes: POOR_PRODUCT_MARKET_FIT, INSUFFICIENT_VALUE, POOR_ONBOARDING, LOW_UTILIZATION, POOR_SUPPORT, PRICING_AND_CONTRACT, PRODUCT_RELIABILITY, COMPETITIVE_DISPLACEMENT, ORGANIZATIONAL_CHANGES, LACK_OF_INNOVATION, WENT_BANKRUPT, LOST_CHAMPION, OTHER. Omit it, or send null, to terminate without a reason; re-terminating without one keeps the reason already stored.

  • POOR_PRODUCT_MARKET_FIT - Poor Product-Market Fit
  • INSUFFICIENT_VALUE - Insufficient Perceived Value / ROI
  • POOR_ONBOARDING - Poor Onboarding Experience
  • LOW_UTILIZATION - Low Utilization
  • POOR_SUPPORT - Poor Customer Support and Service
  • PRICING_AND_CONTRACT - Pricing and Contract Issues
  • PRODUCT_RELIABILITY - Product Reliability, Performance, or Security Problems
  • COMPETITIVE_DISPLACEMENT - Competitive Displacement
  • ORGANIZATIONAL_CHANGES - Customer Business or Organizational Changes
  • LACK_OF_INNOVATION - Lack of Product Innovation and Evolution
  • WENT_BANKRUPT - Went Bankrupt
  • LOST_CHAMPION - Lost Champion
  • OTHER - Other
Available options:
POOR_PRODUCT_MARKET_FIT,
INSUFFICIENT_VALUE,
POOR_ONBOARDING,
LOW_UTILIZATION,
POOR_SUPPORT,
PRICING_AND_CONTRACT,
PRODUCT_RELIABILITY,
COMPETITIVE_DISPLACEMENT,
ORGANIZATIONAL_CHANGES,
LACK_OF_INNOVATION,
WENT_BANKRUPT,
LOST_CHAMPION,
OTHER